@import url('/src/styles/styles.less');


@high-score-color: @green-6;
@medium-score-color: @yellow-6;
@low-score-color: @red-6;


.grade-color-mixins(@color: @blue-5) {
    border-color: white;
    background-color: @color;
    color: @gray-2;
}

.session-review-card-container {
    .card_mixins();
    .low-elevation-mixin();
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 100%;
    border: 2px solid @gray-4;

    .user-avatar {
        margin: .3em .6em;
    }

    .user-name {
        font-weight: 600;
        font-size: 1.2em;
        margin-left: 0.25rem;
    }

    .session-meta {
        color: @gray-7;
        display: flex;
        gap: 2em;
    }

    .student-grade-info {
        border: 1px solid black;
        border-radius: @lms-small-border-radius;
        padding: 0.2em 1.3em;

        .grade-color-mixins();

    }

    .high-score {
        .grade-color-mixins(@high-score-color);
    }

    .medium-score {
        .grade-color-mixins(@high-score-color);
    }


    .low-score {
        .grade-color-mixins(@low-score-color);
    }

}